<?

if (!is_numeric($id)) {
  echo '
    <h2>Emailové adresy pro upozornění</h2>
    <p>Nebyl zadanán prvek</p>';
  exit;
}  

if (!$akce) {
  $vysledek= pg_query("SELECT name FROM node WHERE id=$id");
  $zaznam=Pg_Fetch_Array($vysledek);
  echo '
  <h2>Stavové emailové adresy pro prvek '.$zaznam[name].'</h2>
  <table border="0" cellspacing="1" bgcolor="#000000" class="tabulka">
    <tr bgcolor="#FFFFAA">
      <strong>
        <td><strong>#</strong></td>
        <td><a href="./index.php?pg=nodes_email.inc&id='.$id.'&order=email"><strong>Email</strong></a></td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>';
  if (!$order) $order='email';
  $radek=1;
  $vysledek= pg_query("SELECT idemail, email FROM node_email WHERE id=$id ORDER BY $order");
  while ($zaznam=Pg_Fetch_Array($vysledek)) {
  echo '
    <tr bgcolor="'.MakeBgcolor($radek).'" valign="top">
        <td>'.$radek++.'</td>
        <td>'.$zaznam[email].'</td>
        <td><a href="./index.php?pg=nodes_email.inc&akce=edit&id='.$id.'&idemail='.$zaznam[idemail].'">upravit</a></td>
        <td><a href="./index.php?pg=nodes_email.inc&akce=delete&id='.$id.'&idemail='.$zaznam[idemail].'">smazat</a></td>
    </tr>';
 }
 echo ' 
 </table>
 <p><a href="./index.php?pg=nodes_email.inc&akce=edit&id='.$id.'">Vložit nový email</a></p>
 ';
}


 // editace existujiciho nebo noveho zaznamu 
if($akce=='edit') {
   // budeme editovat existujici zaznam?
  if(is_numeric($idemail)) {
      $vysledek= pg_query("SELECT * FROM node_email WHERE idemail=$idemail");
      $zaznam=Pg_Fetch_Array($vysledek);
      $navakce='update';
  } else $navakce='insert';
echo '
<h2>Editace stavové email adresy</h2>
<form action="./index.php?pg=nodes_email.inc&akce='.$navakce.'&id='.$id.'" method="post">
  <input type="hidden" name="idemail" value="'.$zaznam[idemail].'"></p>
  <p>Email<br>
  <input type="text" size="20" name="email" class="formnotnull" value="'.$zaznam[email].'"></p>
  <p><input type="submit" value="Vložit" class="tlacitko"></p>

</form>';
}


 // ulozeni
if($akce=='update') {
  @pg_query("UPDATE node_email SET email='$email' WHERE idemail=$idemail") or $err=true;
 echo '<h2>Aplikace změn</h2>';
 if ($err) echo '<p>Nastala chyba... Je nutné zkontrolovat zadávaná data</p>';
 else echo '<p>Změna byla provedena... <a href="./index.php?pg=nodes_email.inc&id='.$id.'">pokračovat zde</a></p>';
}


 // vlozeni
if($akce=='insert') {
  pg_query("INSERT INTO node_email(id, email) 
            VALUES($id, '$email')") or $err=true;
 echo '<h2>Vložení nové stavové email adresy</h2>';
 if ($err) echo '<p>Nastala chyba... Je nutné zkontrolovat zadávaná data</p>';
 else echo '<p>Vložení bylo provedeno... <a href="./index.php?pg=nodes_email.inc&id='.$id.'">pokračovat zde</a></p>';
}


 // smazani
if($akce=='delete') {
 @pg_query("DELETE FROM node_email WHERE idemail=$idemail") or $err=true;
 echo '<h2>Vymazání IP adresy</h2>';
 if ($err) echo '<p>Nastala chyba...  </p>';
 else echo '<p>Email byl smazán...  <a href="./index.php?pg=nodes_email.inc&id='.$id.'">pokračovat zde</a></p>';
}


?>



